package de.humance.eco.profile.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the QualificationAttribute service. Represents a row in the &quot;Profile_QualificationAttribute&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.QualificationAttributeModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.QualificationAttributeImpl}.
 * </p>
 *
 * @author Humance
 * @see QualificationAttribute
 * @see de.humance.eco.profile.model.impl.QualificationAttributeImpl
 * @see de.humance.eco.profile.model.impl.QualificationAttributeModelImpl
 * @generated
 */
public interface QualificationAttributeModel extends BaseModel<QualificationAttribute> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a qualification attribute model instance should use the {@link QualificationAttribute} interface instead.
     */

    /**
     * Returns the primary key of this qualification attribute.
     *
     * @return the primary key of this qualification attribute
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this qualification attribute.
     *
     * @param primaryKey the primary key of this qualification attribute
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the qualification attribute ID of this qualification attribute.
     *
     * @return the qualification attribute ID of this qualification attribute
     */
    public long getQualificationAttributeId();

    /**
     * Sets the qualification attribute ID of this qualification attribute.
     *
     * @param qualificationAttributeId the qualification attribute ID of this qualification attribute
     */
    public void setQualificationAttributeId(long qualificationAttributeId);

    /**
     * Returns the qualification ID of this qualification attribute.
     *
     * @return the qualification ID of this qualification attribute
     */
    public long getQualificationId();

    /**
     * Sets the qualification ID of this qualification attribute.
     *
     * @param qualificationId the qualification ID of this qualification attribute
     */
    public void setQualificationId(long qualificationId);

    /**
     * Returns the qualification attribute definition ID of this qualification attribute.
     *
     * @return the qualification attribute definition ID of this qualification attribute
     */
    public long getQualificationAttributeDefinitionId();

    /**
     * Sets the qualification attribute definition ID of this qualification attribute.
     *
     * @param qualificationAttributeDefinitionId the qualification attribute definition ID of this qualification attribute
     */
    public void setQualificationAttributeDefinitionId(
        long qualificationAttributeDefinitionId);

    /**
     * Returns the type of this qualification attribute.
     *
     * @return the type of this qualification attribute
     */
    @AutoEscape
    public String getType();

    /**
     * Sets the type of this qualification attribute.
     *
     * @param type the type of this qualification attribute
     */
    public void setType(String type);

    /**
     * Returns the sequence number of this qualification attribute.
     *
     * @return the sequence number of this qualification attribute
     */
    public long getSequenceNumber();

    /**
     * Sets the sequence number of this qualification attribute.
     *
     * @param sequenceNumber the sequence number of this qualification attribute
     */
    public void setSequenceNumber(long sequenceNumber);

    /**
     * Returns the attribute value of this qualification attribute.
     *
     * @return the attribute value of this qualification attribute
     */
    @AutoEscape
    public String getAttributeValue();

    /**
     * Sets the attribute value of this qualification attribute.
     *
     * @param attributeValue the attribute value of this qualification attribute
     */
    public void setAttributeValue(String attributeValue);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(QualificationAttribute qualificationAttribute);

    @Override
    public int hashCode();

    @Override
    public CacheModel<QualificationAttribute> toCacheModel();

    @Override
    public QualificationAttribute toEscapedModel();

    @Override
    public QualificationAttribute toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
